Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002832Piwigopluginspublic2013.02.03 16:052013.06.23 23:14
Reportermistic100 
Assigned Tomistic100 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.6.0beta1Fixed in Version2.6.0beta1 
Summary0002832: Provide better integration of plugins adding a all new section
DescriptionSome plugins (ContactForm, UserCollections, etc.) add a new section to Piwigo.
Currently they define the new section in 'loc_end_section_init' and add their script in 'loc_end_index'.

There are two main defects :
- a big part of index.php is executed even if it's useless
- those plugins usually replace 'index' template by their own, generating display issues with some themes

Idea : add a simple way for plugins to tell Piwigo we are in a new section and load a blank dedicated template.

See : http://piwigo.org/forum/viewtopic.php?id=21181 [^]
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships
has duplicate 0002849closed Generic template for custom pages using index layout 

-  Notes
(0007056)
svn (reporter)
2013.06.20 13:06

[Subversion] r23396 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2832 Provide better integration of plugins adding a all new section
see future version of skeleton/trunk for usage
(0007057)
svn (reporter)
2013.06.20 16:35

[Subversion] r23399 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2832 Provide better integration of plugins adding a all new section
don't need for an extra file

- Issue History
Date Modified Username Field Change
2013.02.03 16:05 mistic100 New Issue
2013.02.03 16:05 mistic100 Status new => assigned
2013.02.03 16:05 mistic100 Assigned To => mistic100
2013.02.03 16:05 mistic100 browser => any
2013.02.03 16:05 mistic100 Web server => Apache 1.3.x
2013.02.17 17:04 flop25 Relationship added has duplicate 0002849
2013.06.20 13:06 svn Checkin
2013.06.20 13:06 svn Note Added: 0007056
2013.06.20 16:35 svn Checkin
2013.06.20 16:35 svn Note Added: 0007057
2013.06.23 23:14 plg Status assigned => closed
2013.06.23 23:14 plg Resolution open => fixed
2013.06.23 23:14 plg Fixed in Version => 2.6.0beta1


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker